const express = require('express');
const mongoose = require('mongoose'),
    bodyParser = require('body-parser');

const app = express();
const uri = "mongodb+srv://bikku:bikku@cluster0.bmyepjt.mongodb.net/?retryWrites=true&w=majority"
mongoose
    .connect(
        uri,
        {
            useNewUrlParser: true,
            useUnifiedTopology: true,
        }
    )
    .then(() => console.log('connected to DB'))
    .catch((err) => console.log('connection to Db failed', err.message));
const TaskSchema = new mongoose.Schema({
    title: String
}
)
const Task = mongoose.model('todos', TaskSchema)
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));
app.get('/', (req, res) => (
    res.send("Hello From the server")
))
app.get("/todos", (req, res) => (
    Task.find({}, (err, task) => {
        if (err) {
            return err
        } else {
            res.send(task)
        }
    })
))
app.post("/todos", (req, res) => {
    // const { title } = req.body;
    console.log("sdsds", req.body)
    const newTask = {
        title: req.body.title
    }
    Task.create(newTask, (err, task) => {
        if (err) {
            console.log(err)
            return err
        } else {
            res.send(task)
        }
    })
})
app.post("/todos/:id", (req, res) => {
    const { id } = req.params;
    Task.deleteOne({ _id: id }, (err) => {
        if (err) {
            res.send({ msg: "Couldn't delets task error" })
        } else {
            res.send({ msg: "Deleted Task Successfully. Congratulations" })
        }
    })
})
app.listen(8000, () => console.log("listen on port 8000"))